summaryrefslogtreecommitdiff
path: root/net/run_afpackettests
diff options
context:
space:
mode:
authorMilosz Wasilewski <milosz.wasilewski@hackbox.linaro.org>2014-10-01 15:24:10 +0100
committerMilosz Wasilewski <milosz.wasilewski@hackbox.linaro.org>2014-10-01 15:24:10 +0100
commite14eb051ff73ab8692770762adf44045ba092398 (patch)
tree117c21aa0b42865a321b078ddb71c410506c51c9 /net/run_afpackettests
parent6c2a5f64d0517e100c569b59423d5f5abc627a7c (diff)
Update to aad7fb916a10f1065ad23de0c80a4a04bcba8437 from repo git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git branch masterfe82dcec644244676d55a1384c958d5f67979adbaad7fb916a10f1065ad23de0c80a4a04bcba8437
Diffstat (limited to 'net/run_afpackettests')
-rw-r--r--net/run_afpackettests26
1 files changed, 26 insertions, 0 deletions
diff --git a/net/run_afpackettests b/net/run_afpackettests
new file mode 100644
index 0000000..5246e78
--- /dev/null
+++ b/net/run_afpackettests
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+if [ $(id -u) != 0 ]; then
+ echo $msg must be run as root >&2
+ exit 0
+fi
+
+echo "--------------------"
+echo "running psock_fanout test"
+echo "--------------------"
+./psock_fanout
+if [ $? -ne 0 ]; then
+ echo "[FAIL]"
+else
+ echo "[PASS]"
+fi
+
+echo "--------------------"
+echo "running psock_tpacket test"
+echo "--------------------"
+./psock_tpacket
+if [ $? -ne 0 ]; then
+ echo "[FAIL]"
+else
+ echo "[PASS]"
+fi